

%define framework breeze

Summary:        Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:           %framework
Version: 		5.11.3
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{version}/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kcompletion-devel
BuildRequires:  frameworkintegration-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kcmutils-devel
BuildRequires:  plasma-framework-devel

Requires:       %{name}-common = %{version}-%{release}

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop

%files  -f breeze_style_config.lang
%_kf5_bindir/breeze-settings5
%_iconsdir/breeze_cursors
%_iconsdir/Breeze_Snow
%_iconsdir/hicolor/scalable/apps/breeze-settings.svgz
%_kf5_libdir/kconf_update_bin/kde4breeze
%_kf5_qmldir/QtQuick/Controls/Styles/Breeze
%_datadir/kconf_update/kde4breeze.upd
%_kf5_datadir/kstyle/themes/breeze.themerc
%_qt5_plugindir/kstyle_breeze_config.so
%_qt5_plugindir/styles/breeze.so
%_qt5_plugindir/org.kde.kdecoration2/breezedecoration.so
%_kf5_services/breezedecorationconfig.desktop
%_kf5_services/breezestyleconfig.desktop
%_kf5_datadir/plasma/look-and-feel/org.kde.breezedark.desktop
#%_kf5_datadir/metainfo/org.kde.breezedark.desktop.appdata.xml
#--------------------------------------------------------------------

%package        common
Summary:        Common files shared between KDE 4 and Plasma 5 versions of the Breeze style
Group:          Graphical desktop/KDE5

%description    common
%{summary}.

%files common 
%{_datadir}/color-schemes/*.colors
%{_datadir}/QtCurve/Breeze.qtcurve
%{_datadir}/wallpapers/Next

#--------------------------------------------------------------------
%define kf5breeze_devel %mklibname kf5breeze -d

%package -n %kf5breeze_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5breeze_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5breeze_devel
%{_libdir}/cmake/Breeze/BreezeConfig.cmake
%{_libdir}/cmake/Breeze/BreezeConfigVersion.cmake

%prep
%setup -q -n %framework-%version


%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make


%install
rm -rf %buildroot
%makeinstall_std -C build


%find_lang --all breeze_style_config

%changelog
* Sat Mar 17 2018 adrianomorselli <adrianomorselli> 5.11.3-1uplos2018
- update
